package com.wdkl.ncs.android.middleware.api

import io.reactivex.Observable
import okhttp3.ResponseBody
import retrofit2.http.*

interface BoxDeviceApi {

    //设备信息
    @GET("/deviceNurse/getDeviceByEthMac/{ethMac}")
    fun getDeviceInfo(@Path("ethMac") ethMac :String): Observable<ResponseBody>

    //科室空间结构
    @GET("/deviceNurse/getFramePart/{partId}")
    fun getFramePart(@Path("partId") partId :Int): Observable<ResponseBody>

    //转换盒下属空间结构及设备信息
    @GET("/deviceRs485/get_frame_by_audio_id/{audioId}")
    fun getFrameDevice(@Path("audioId") audioId :Int): Observable<ResponseBody>

    //入住信息
    @GET("/deviceBed/getCustomerInfo/{customerId}")
    fun getCustomInfo(@Path("customerId") customerId :Int): Observable<ResponseBody>

    //费用信息
    @GET("/deviceBed/getCustomerFeeConfigByGroupName/{customerId}")
    fun getCustomCost(@Path("customerId") customerId :Int): Observable<ResponseBody>

    //事件信息
    @GET("/deviceBed/getEventList")
    fun getEventList(): Observable<ResponseBody>

    //呼叫历史
    @POST("/deviceBed/getInteractionVOByCustomerId")
    fun getCallRecords(@Query("page_no")page_no:Int, @Query("page_size")page_size:Int, @Query("customer_id")part_id:Int): Observable<ResponseBody>

    //科室设置参数
    @GET("/deviceBed/getPartSetting/{partId}")
    fun getPartSettings(@Path("partId") partId : Int): Observable<ResponseBody>

    //tcp服务器地址
    @GET("/ncs_url/getHostIP")
    fun getTcpServerHost(): Observable<ResponseBody>

    @GET("/ncs_url/server_info")
    fun getServerInfo(): Observable<ResponseBody>

    //获取APP版本信息
    @POST("/deviceBed/getAppVersion")
    fun getAppVersion(@Query("part_id") part_id:Int, @Query("device_type") device_type:Int): Observable<ResponseBody>

    //上传分机地址及转换盒地址
    @POST("/arrange/cache_device_mac")
    fun setDeviceMac(@Query("device_mac") device_mac:String, @Query("trans_audio_mac") trans_audio_mac:String): Observable<ResponseBody>
}